import words, plugin, random
from titlecase import titlecase
words.loadDict("words")

@plugin.command("backronym","<word>")
def backronym(bot,channel,nick,word):
	result = []
	for char in word:
		fwords = words.getWords("^{}.*".format(char))
		if not fwords:
			bot.say(channel,nick+": Don't be a meanie! (No words start with '{}'!)".format(char))
		else:
			result.append(random.choice(fwords))
	bot.say(channel,nick+": "+titlecase(" ".join(result)))
