def digit_sum(n,one=False):
	r = sum([int(x) for x in (str(n) if type(n)==int else n)])
	if one:
		if len(str(r))>1:
			return digit_sum(r,one)
	return r

def sum_to_seven(f):
	def wrapper(*args,**kwargs):
		res = f(*args,**kwargs)
		return digit_sum(res,True)==7 or (res%7)==0
	return wrapper

@sum_to_seven
def word_length(msg):
	words = msg.split(" ")
	return len(words)

@sum_to_seven
def letter_count(msg):
	return len("".join(msg.strip().split()))
