import plugin

def digit_sum(n,one=False):
	r = sum([int(x) for x in (str(n) if type(n)==int else n)])
	if one:
		if len(str(r))>1:
			return digit_sum(r,one)
	return r

@plugin.group("digitsum")
def digitsum(bot,channel,nick,subcmd,*args):
	if subcmd not in "calc turn":
		bot.say(channel,nick+": Usage: !digitsum <turn/calc> num, where turn is for one turn of digit sum and calc is to go until there's only one digit left.")
		return True
	return False

@digitsum.command("turn")
def digitsum_turn(bot,channel,nick,subcmd,num):
	if not num.isdigit():
		bot.say(channel,nick+": Invalid number!")
	bot.say(channel,"{}: The digit sum of {} after one turn is {}.".format(nick,num,digit_sum(num)))

@digitsum.command("calc")
def digitsum_calc(bot,channel,nick,subcmd,num):
	if not num.isdigit():
		bot.say(channel,nick+": Invalid number!")
	bot.say(channel,"{}: The digit sum of {} is {}.".format(nick,num,digit_sum(num,True)))

