import plugin

EGG_SPAWN_1 = (31/256)
EGG_SPAWN_4 = (1/256)

def risk_reward(profit,risk):
	return profit/risk

def get_stats(sales,buyin,payout_single,payout_quads):
	income = buyin*sales
	payout = ((payout_single*EGG_SPAWN_1)+(payout_quads*EGG_SPAWN_4))*buyin
	profit = income-payout
	return "Get {} diamond(s), pay out {} diamond(s), profit {} diamonds".format(income,payout,profit)

@plugin.group("eggroulette","<stats/help>")
def eggroulette(self,channel,nick,*args):
	return False

@eggroulette.command("help","[topic]")
def eggroulette_help(self,channel,nick,s,subcmd=None,*args):
	if subcmd is None:
		self.say(channel,"{}: Usage: !eggroulette <{}>".format(nick,"/".join(eggroulette.subcmds.keys())))
	self.say(channel,"{}: Usage: !eggroulette {} {}".format(nick,subcmd,eggroulette.subcmds_help.get(subcmd,"?")))

@eggroulette.command("stats","<buyin> <payout for one chicken> <payout for quad chickens>")
def eggroulette_stats(self,channel,nick,s,buyin,payout_single,payout_quads):
	buyin = int(buyin)
	payout_single = int(payout_single)
	payout_quads = int(payout_quads)
	self.say(channel,"{}: {}".format(nick,get_stats(buyin,payout_single,payout_quads)))
