import plugin

class DefaultDict(dict):
	def __init__(self,f,takes_args=True):
		self.f = f
		self.takes_args = takes_args
	def __get__(self,k):
		if k not in self:
			if self.takes_args:
				self[k]=self.f(k)
			else:
				self[k]=self.f()
			return self[k]

PREFIX = "regional_indicator_"

mapping = dict()
for letter in "abcdefghijklmnopqrstuvwxyz":
	mapping[letter]=":"+PREFIX+letter+":"
mapping["a"]=":a:"
mapping["b"]=":b:"
mapping[" "]=" "

@plugin.command("emojitext")
def emojitext(self,channel,nick,*words):
	try:
		text = " ".join(words)
		self.say(nick," ".join([mapping[c] for c in text]).replace(":a: :b:",":ab:"))
		self.say(channel,nick+": PMed!")
	except Exception as e:
		self.say(nick,"ACCESS VIOLATON: "+e.__class__.__name__+": "+e.args[0])
