import plugin, os

@plugin.command("admin")
def admin(bot,channel,nick,*args):
	if not bot.is_admin: return
	args=list(args)
	subcmd = args.pop(0)
	if subcmd=="down":
		bot._bot.die("Stopping...")
	elif subcmd=="reload":
		bot.load_modules()
	elif subcmd=="nick":
		bot._bot.conn.nick(args[0])
		bot.nick = args[0]
	elif subcmd=="prefix":
		bot.prefix = args[0]
	elif subcmd=="pull":
		subprocess.run("git pull",shell=True)
		bot.load_modules()
	elif subcmd=="msg":
		target = args.pop(0)
		msg = " ".join(args)
		bot.say(target,msg)

@plugin.command("botlist")
def botlist(bot,channel,nick,*args):
	bot.say(channel,nick+": Hi! I'm minerbot2! Commands: {} | Maintainer: __khuxkm__".format(", ".join("!"+cmd for cmd in plugin.cmds if cmd!=bot.cmd)))

@plugin.listener("botlist")
def botlist_listen(bot,channel,nick,msg):
	if bot.prefix!="!" and msg.startswith("!botlist"):
		botlist(bot,channel,nick,*list())

@plugin.command("mbsrc")
def minerbotsrc(bot,channel,nick,*args):
	bot.say(channel,nick+": https://tildegit.org/khuxkm/minerbot2")
